/*
** CALLER_ID.C
**
** Este programa lista los numeros de telefono
** desde los que se conecta cada usuario, sin
** eliminar duplicados, etc. Eso se hace con
** un script externo.
**
**
** Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 13/Oct/98 Version 1.0
**           Primera version publica.
*/

#include <stdio.h>
#include <stdlib.h>
#include "lee_log.h"
#include "conexiones.h"

/*
** Necesarios para poder enlazar, pero no se utilizan
*/
char *RED=NULL;
char *CLAVE=NULL;
char *AT_ISP=NULL;
char *D_HISTORICO=NULL;

/* STUBS para rutinas de lectura de registros */

void (*abre_log) (char *f_detalle)=abre_log_detalle_radius;
void (*cierra_log) (void)=cierra_log_detalle_radius;
log_estado (*lee_registro) (registro_log *registro)=lee_registro_detalle_radius;

/*
** Ficheros de detalle del RADIUS.
** El final se marca con una cadena vacia.
*/

char *CSIVs[]={
  "/var/adm/radacct/172.16.192.1/detalle",  /* Madrid */
  "/var/adm/radacct/172.16.193.1/detalle",  /* Barcelona */
  "/var/adm/radacct/172.16.192.33/detalle", /* Valencia */
  "/var/adm/radacct/172.16.192.49/detalle", /* Bilbao */
  "/var/adm/radacct/172.16.192.65/detalle", /* Sevilla */
  ""}; /* Marcador final */

int main(int argc,char *argv[],char *env[]) {
log_estado estado;
registro_log reg;
int cont;

  printf("Libreria CONEXIONES, Version 13\n"    
  "(c) 1.997-98 Jesus Cea Avion\n"
  "jcea@argo.es\n"
  "http://www.argo.es/~jcea/\n"
  "http://www.argo.es/~jcea/artic/radius02.htm\n\n");

  for(cont=0;*(CSIVs[cont])!='\0';cont++) {
    abre_log(CSIVs[cont]);
    while(!0) {
      estado=lee_registro(&reg);
      if(estado!=LOG_OK) break;
      printf("%s %s\n",reg.nombre,reg.caller_id);
    }
    cierra_log();
  }
  return 0;
}

