/*
** CONEX_CONF.C
**
** Configuracion para "conexiones".
** Fichero disponible a partir de la version 13 de "conexiones".
**
** Este fichero es un ejemplo de configuracion.
**
**
** Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 13/Oct/98 Version 1.0
**           Primera version de este fichero.
*/

#include "lee_log.h"
#include "conexiones.h"

/* Clase C. Ojo con el punto final */

char *RED="195.53.30.";

/* La clave a usar en el CGI */

char *CLAVE=TU_CLAVE;

/*
** Coletilla a anadir al nombre de usuario
** a la hora de hacer la busqueda en los
** logs del RADIUS. Siempre debe existir
** y siempre debe empezar por una arroba (@)
*/

char *AT_ISP="@argo";

/* Directorio donde estan los archivos historicos */

char *D_HISTORICO="/export/home/argo/infovia/usuarios/";

/* STUBS para rutinas de lectura de registros */

void (*abre_log) (char *f_detalle)=abre_log_detalle_radius;
void (*cierra_log) (void)=cierra_log_detalle_radius;
log_estado (*lee_registro) (registro_log *registro)=lee_registro_detalle_radius;

/*
** Ficheros de detalle del RADIUS.
** El final se marca con una cadena vacia.
*/

char *CSIVs[]={
  "/var/adm/radacct/172.16.192.1/detalle",  /* Madrid */
  "/var/adm/radacct/172.16.193.1/detalle",  /* Barcelona */
  "/var/adm/radacct/172.16.192.33/detalle", /* Valencia */
  "/var/adm/radacct/172.16.192.49/detalle", /* Bilbao */
  "/var/adm/radacct/172.16.192.65/detalle", /* Sevilla */
  ""}; /* Marcador final */

int main(int argc,char *argv[],char *env[]) {
  return main_conexiones(argc,argv,env);
}

