/*
** LEE_LOG.H
**
** Define las estructuras de datos para los LOGs de Infovia
**
**
** Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 23/Abr/97 Primera version de este fichero
**
** 26/Jun/97 Anadidos CSIVs de Bilbao y Sevilla
**
** 18/Sep/97 Anadidos campos de trafico Entrada/Salida
**
** 13/Oct/98 La descripcion de los CSIVs se realiza a traves
**           de variables "externas".
**           Define la interfaz publica de este modulo.
**           Cambiamos los atoll(), que en Linux dan problemas,
**           por atol(). Esto afecta a los contadores de
**           bytes y paquetes.
*/

#ifndef LEE_LOG_H
#define LEE_LOG_H

#define CAMPO_LONG	80

typedef struct {
	enum {START,STOP} tipo;
	char fecha[CAMPO_LONG];
	char hora[CAMPO_LONG];
	char nombre[CAMPO_LONG];
	char sesion_id[CAMPO_LONG];
	long tiempo;
	int causa;
	long velocidad;
	char caller_id[CAMPO_LONG];
	char ip[CAMPO_LONG];
	long bytes_tx;
	long bytes_rx;
	long paquetes_tx;
	long paquetes_rx;
} registro_log;

typedef enum {LOG_OK,LOG_EOF,LINE_TOO_LONG} log_estado;

void abre_log_detalle_radius(char *f_detalle);
void cierra_log_detalle_radius(void);
log_estado lee_registro_detalle_radius(registro_log *registro);

#endif

